## org.eclipse.jst.jsf.facesconfig.emf.impl
Class ClientBehaviorRendererTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.ClientBehaviorRendererTypeImpl

All Implemented Interfaces:
  ClientBehaviorRendererType

    public class ClientBehaviorRendererTypeImpl

extends EObjectImpl
implements ClientBehaviorRendererType

An implementation of the model object 'Client Behavior Renderer Type'.

The following features are implemented:

- `Client Behavior Renderer Type`
- `Client Behavior Renderer Class`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetClientBehaviorRendererClass(ClientBehaviorRendererClassType newClientBehaviorRendererClass, NotificationChain msgs)`
`NotificationChain` `basicSetClientBehaviorRendererType(ClientBehaviorRendererTypeType newClientBehaviorRendererType, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`ClientBehaviorRendererClassType` `getClientBehaviorRendererClass()`
`ClientBehaviorRendererTypeType` `getClientBehaviorRendererType()`
`void` `setClientBehaviorRendererClass(ClientBehaviorRendererClassType newClientBehaviorRendererClass)`
`void` `setClientBehaviorRendererType(ClientBehaviorRendererTypeType newClientBehaviorRendererType)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getClientBehaviorRendererType

    public ClientBehaviorRendererTypeType getClientBehaviorRendererType()

  Specified by:
    `getClientBehaviorRendererType` in interface `ClientBehaviorRendererType`
  Returns:
    the value of the 'Client Behavior Renderer Type' containment reference.
  See Also:
    `ClientBehaviorRendererType.setClientBehaviorRendererType(ClientBehaviorRendererTypeType)`, `FacesConfigPackage.getClientBehaviorRendererType_ClientBehaviorRendererType()`

### basicSetClientBehaviorRendererType

    public NotificationChain basicSetClientBehaviorRendererType(ClientBehaviorRendererTypeType newClientBehaviorRendererType,
                                                                NotificationChain msgs)

  Parameters:
    `newClientBehaviorRendererType` -
    `msgs` -
  Returns:
    NotificationChain

### setClientBehaviorRendererType

    public void setClientBehaviorRendererType(ClientBehaviorRendererTypeType newClientBehaviorRendererType)

  Specified by:
    `setClientBehaviorRendererType` in interface `ClientBehaviorRendererType`
  Parameters:
    `newClientBehaviorRendererType` - the new value of the 'Client Behavior Renderer Type' containment reference.
  See Also:
    `ClientBehaviorRendererType.getClientBehaviorRendererType()`

### getClientBehaviorRendererClass

    public ClientBehaviorRendererClassType getClientBehaviorRendererClass()

  Specified by:
    `getClientBehaviorRendererClass` in interface `ClientBehaviorRendererType`
  Returns:
    the value of the 'Client Behavior Renderer Class' containment reference.
  See Also:
    `ClientBehaviorRendererType.setClientBehaviorRendererClass(ClientBehaviorRendererClassType)`, `FacesConfigPackage.getClientBehaviorRendererType_ClientBehaviorRendererClass()`

### basicSetClientBehaviorRendererClass

    public NotificationChain basicSetClientBehaviorRendererClass(ClientBehaviorRendererClassType newClientBehaviorRendererClass,
                                                                 NotificationChain msgs)

  Parameters:
    `newClientBehaviorRendererClass` -
    `msgs` -
  Returns:
    NotificationChain

### setClientBehaviorRendererClass

    public void setClientBehaviorRendererClass(ClientBehaviorRendererClassType newClientBehaviorRendererClass)

  Specified by:
    `setClientBehaviorRendererClass` in interface `ClientBehaviorRendererType`
  Parameters:
    `newClientBehaviorRendererClass` - the new value of the 'Client Behavior Renderer Class' containment reference.
  See Also:
    `ClientBehaviorRendererType.getClientBehaviorRendererClass()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)